Package org.apache.maven.scm.provider.accurev

## Class AccuRevInfo

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.AccuRevInfo

    public class AccuRevInfo
    extends java.lang.Object

### Constructor Summary

Constructors
`AccuRevInfo​(java.io.File basedir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `getBasedir()`
`java.lang.String` `getBasis()`
`int` `getPort()`
`java.lang.String` `getServer()`
`java.lang.String` `getTop()`
`java.lang.String` `getUser()`
`java.lang.String` `getWorkSpace()`
`boolean` `isLoggedIn()`
`boolean` `isWorkSpace()`
`boolean` `isWorkSpaceTop()`
`void` `setBasis​(java.lang.String basis)`
`void` `setPort​(int port)`
`void` `setServer​(java.lang.String server)`
`void` `setTop​(java.lang.String top)`
`void` `setUser​(java.lang.String user)`
`void` `setWorkSpace​(java.lang.String workSpace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevInfo

    public AccuRevInfo​(java.io.File basedir)

### Method Detail

#### getPort

    public int getPort()

#### setPort

    public void setPort​(int port)

#### getServer

    public java.lang.String getServer()

#### setServer

    public void setServer​(java.lang.String server)

#### getUser

    public java.lang.String getUser()

#### setUser

    public void setUser​(java.lang.String user)

#### getWorkSpace

    public java.lang.String getWorkSpace()

#### setWorkSpace

    public void setWorkSpace​(java.lang.String workSpace)

#### getBasis

    public java.lang.String getBasis()

#### setBasis

    public void setBasis​(java.lang.String basis)

#### getTop

    public java.lang.String getTop()

#### setTop

    public void setTop​(java.lang.String top)

#### getBasedir

    public java.io.File getBasedir()

#### isWorkSpace

    public boolean isWorkSpace()

#### isLoggedIn

    public boolean isLoggedIn()

#### isWorkSpaceTop

    public boolean isWorkSpaceTop()